<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:35:40 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl (org.eclipse.papyrus.designer.languages.java.profile 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl (org.eclipse.papyrus.designer.languages.java.profile 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ArrayImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">ArrayImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Array</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/DefaultImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">DefaultImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Default</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ExternalImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">ExternalImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>External</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ExternLibraryImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">ExternLibraryImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Extern Library</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/FinalImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">FinalImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Final</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ImportImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">ImportImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Import</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ManualGenerationImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">ManualGenerationImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Manual Generation</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/NativeImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">NativeImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Native</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/NoCodeGenImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">NoCodeGenImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>No Code Gen</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaFactoryImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">PapyrusJavaFactoryImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model <b>Factory</b>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">PapyrusJavaPackageImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model <b>Package</b>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StaticClassifierImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">StaticClassifierImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Static Classifier</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StrictfpImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">StrictfpImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Strictfp</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/SynchronizedImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">SynchronizedImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Synchronized</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateBindingImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">TemplateBindingImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Template Binding</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">TemplateImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Template</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateParameterImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">TemplateParameterImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Template Parameter</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TransientImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">TransientImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Transient</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/VariadicImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">VariadicImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Variadic</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/VolatileImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">VolatileImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Volatile</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
